Mailinglist Archive: opensuse-updates (31 mails)

< Previous Next >
openSUSE-SU-2010:0198-1 (moderate): mysql security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Mon, 3 May 2010 16:36:34 +0200 (CEST)
  • Message-id: <20100503143634.79C14BE13@xxxxxxxxxxxxxx>
openSUSE Security Update: mysql security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0198-1
Rating: moderate
References: #557669
Cross-References: CVE-2008-7247 CVE-2009-4019 CVE-2009-4028
CVE-2009-4030
Affected Products:
openSUSE 11.2
openSUSE 11.1
openSUSE 11.0
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update fixes several security issues in mysql:
- checking server certificates (CVE-2009-4028)
- error handling in subqueries (CVE-2009-4019)
- preserving null_value flag in GeomFromWKB (CVE-2009-4019)
- symlink behavior fixed (CVE-2008-7247)
- symlink behavior refixed (CVE-2009-4030)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch libmysqlclient-devel-1706

- openSUSE 11.1:

zypper in -t patch libmysqlclient-devel-1706

- openSUSE 11.0:

zypper in -t patch libmysqlclient-devel-1706

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 src x86_64):

mysql-5.1.36-6.8.2

- openSUSE 11.2 (i586 x86_64):

libmysqlclient-devel-5.1.36-6.8.2
libmysqlclient16-5.1.36-6.8.2
libmysqlclient_r16-5.1.36-6.8.2
libmysqld-devel-5.1.36-6.8.2
mysql-bench-5.1.36-6.8.2
mysql-client-5.1.36-6.8.2
mysql-debug-5.1.36-6.8.2
mysql-ndb-extra-5.1.36-6.8.2
mysql-ndb-management-5.1.36-6.8.2
mysql-ndb-storage-5.1.36-6.8.2
mysql-ndb-tools-5.1.36-6.8.2
mysql-test-5.1.36-6.8.2
mysql-tools-5.1.36-6.8.2

- openSUSE 11.2 (x86_64):

libmysqlclient16-32bit-5.1.36-6.8.2
libmysqlclient_r16-32bit-5.1.36-6.8.2

- openSUSE 11.1 (i586 ppc src x86_64):

mysql-5.0.67-12.17.1

- openSUSE 11.1 (i586 ppc x86_64):

libmysqlclient-devel-5.0.67-12.17.1
libmysqlclient15-5.0.67-12.17.1
libmysqlclient_r15-5.0.67-12.17.1
mysql-Max-5.0.67-12.17.1
mysql-bench-5.0.67-12.17.1
mysql-client-5.0.67-12.17.1
mysql-debug-5.0.67-12.17.1
mysql-test-5.0.67-12.17.1
mysql-tools-5.0.67-12.17.1

- openSUSE 11.1 (x86_64):

libmysqlclient15-32bit-5.0.67-12.17.1
libmysqlclient_r15-32bit-5.0.67-12.17.1

- openSUSE 11.1 (ppc):

libmysqlclient15-64bit-5.0.67-12.17.1
libmysqlclient_r15-64bit-5.0.67-12.17.1

- openSUSE 11.0 (i586 ppc ppc64 src x86_64):

mysql-5.0.51a-27.6

- openSUSE 11.0 (i586 ppc x86_64):

libmysqlclient-devel-5.0.51a-27.6
libmysqlclient15-5.0.51a-27.6
libmysqlclient_r15-5.0.51a-27.6
mysql-Max-5.0.51a-27.6
mysql-bench-5.0.51a-27.6
mysql-client-5.0.51a-27.6
mysql-debug-5.0.51a-27.6
mysql-tools-5.0.51a-27.6

- openSUSE 11.0 (x86_64):

libmysqlclient15-32bit-5.0.51a-27.6
libmysqlclient_r15-32bit-5.0.51a-27.6

- openSUSE 11.0 (ppc):

libmysqlclient15-64bit-5.0.51a-27.6
libmysqlclient_r15-64bit-5.0.51a-27.6


References:

http://support.novell.com/security/cve/CVE-2008-7247.html
http://support.novell.com/security/cve/CVE-2009-4019.html
http://support.novell.com/security/cve/CVE-2009-4028.html
http://support.novell.com/security/cve/CVE-2009-4030.html
https://bugzilla.novell.com/557669


< Previous Next >
List Navigation
This Thread
  • No further messages